Get all adviser splits Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/adviser-split

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[name] string

    Name to filter by

  • filter[type] string

    Type to filter by. Valid options are adviser, plan

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, name]. Negative sign to denote DESC. Defaults to 'name'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • name string

        The name of the adviser split

      • firm_percentage integer

        The percentage held by the firm on a charge

      • adviser_percentage integer

        The percentage held by the selling adviser on a charge

      • type string

        Whether this adviser split is for an adviser or a plan charge

GET /api/v1/adviser-split
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/adviser-split' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "1153ceb7-a6c7-4be7-8776-53b960a0f1f5",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated_at": "2026-06-08T16:08:03+01:00",
      "name": "Trainee Rate",
      "firm_percentage": 30,
      "adviser_percentage": 30,
      "type": "adviser"
    }
  ]
}